Recommended update for tomcat

SUSE Recommended Update: Recommended update for tomcat
Announcement ID: SUSE-RU-2020:0268-1
Rating: important
References: #1161025 #1162081
Affected Products:
  • SUSE Linux Enterprise Module for Web Scripting 15-SP1
  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1

An update that has two recommended fixes can now be installed.

Description:

This update for tomcat fixes the following issues:

  • Fixes an issue that led to a crash during the last upgrade, which was caused by a wrong typecast (bsc#1161025, bsc#1162081)

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Module for Web Scripting 15-SP1:
    zypper in -t patch SUSE-SLE-Module-Web-Scripting-15-SP1-2020-268=1
  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1:
    zypper in -t patch SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2020-268=1

Package List:

  • SUSE Linux Enterprise Module for Web Scripting 15-SP1 (noarch):
    • tomcat-9.0.30-4.15.1
    • tomcat-admin-webapps-9.0.30-4.15.1
    • tomcat-el-3_0-api-9.0.30-4.15.1
    • tomcat-jsp-2_3-api-9.0.30-4.15.1
    • tomcat-lib-9.0.30-4.15.1
    • tomcat-servlet-4_0-api-9.0.30-4.15.1
    • tomcat-webapps-9.0.30-4.15.1
  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (noarch):
    • tomcat-docs-webapp-9.0.30-4.15.1
    • tomcat-embed-9.0.30-4.15.1
    • tomcat-javadoc-9.0.30-4.15.1
    • tomcat-jsvc-9.0.30-4.15.1

References: